List an event's guests
Every ticket of a paid order, by guest name, with the night’s totals over all of them. Needs read on Events.
GET
https://{organization}.rescueconsole.com
/
api
/
events
/
events
/
{id}
/
guests
List an event's guests
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/guests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/guests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/guests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"ticket_type_id": "<string>",
"type_name": "<string>",
"guest_name": "<string>",
"guest_email": "<string>",
"price_cents": 123,
"fair_market_value_cents": 123,
"checked_in_at": "2023-11-07T05:31:56Z",
"checked_in_by_person_id": "<string>",
"order": {
"id": "<string>",
"buyer_name": "<string>",
"buyer_email": "<string>",
"source": "online",
"status": "open"
}
}
],
"totals": {
"sold": 123,
"checked_in": 123,
"orders": 123,
"tickets_cents": 123,
"gifts_cents": 123,
"by_type": [
{
"id": "<string>",
"name": "<string>",
"sold": 123,
"checked_in": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List an event's guests
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/guests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/guests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/guests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"ticket_type_id": "<string>",
"type_name": "<string>",
"guest_name": "<string>",
"guest_email": "<string>",
"price_cents": 123,
"fair_market_value_cents": 123,
"checked_in_at": "2023-11-07T05:31:56Z",
"checked_in_by_person_id": "<string>",
"order": {
"id": "<string>",
"buyer_name": "<string>",
"buyer_email": "<string>",
"source": "online",
"status": "open"
}
}
],
"totals": {
"sold": 123,
"checked_in": 123,
"orders": 123,
"tickets_cents": 123,
"gifts_cents": 123,
"by_type": [
{
"id": "<string>",
"name": "<string>",
"sold": 123,
"checked_in": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
